<?php

namespace App\Models;

/**
 * Class ProductOrder
 * @package App\Models
 * 产品订单
 */
class ProductOrder extends Order
{

    function __construct() {
        parent::__construct("产品", "产品", "product_order");
        $fillable = [
            'product_id', // 产品名称
            'product_name', // 产品信息
            'color', // 产品颜色款色
            'unit', // 产品单格
            'amount', // 产品数量
            'remark', // 买家备注
            'info', // 卖家信息
        ];
        parent::mergeFillable(parent::getFillable(), $fillable);
    }


    /**
     * 订单里面有多个products
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function products()
    {
        return $this->belongsToMany('App\Models\Product', 'orders_products_mapping','order_id', 'product_id')
            //->using('App\Models\OrdersProductsMapping')
            ->withPivot('product_name', 'product_color', 'product_price', 'product_amount', 'product_photo');
    }
}
